package middleware

import (
	"github.com/kataras/iris/v12"
)

func MiddlewareAfter(ctx iris.Context) {
	ctx.Record()
	ctx.Next()
	// EG
	/* receiveTemplate := "path: %v type: %v params: %v post: %v"
	logger.Info(fmt.Sprintf(receiveTemplate,
		ctx.Request().URL.Path,
		ctx.Request().Method,
		ctx.URLParam("name"),
		ctx.PostValue("name"))) */
	/* resp := string(ctx.Recorder().Body())
	logger.Info(fmt.Sprintf("rsp: %v", resp)) */
	// TO DO SOMETHING AFTER
}
